Subject: bug#20247: 24.4; Emacs hangs at startup in desktop mode

From: Paul Eggert <[email-masked]>
Date: Fri, 20 May 2016 08:34:41 -0700

On 05/20/2016 08:24 AM, Drew Adams wrote:
> A better fix, I think, would be to do something like this:

If someone has the time to develop an even-better patch, that would be 
great. In the meantime, the question is whether the proposed patch 
improves Emacs. I don't use desktop mode and don't know the pros and 
cons of the various settings. That being said, it appears that 
defaulting desktop-restore-in-current-display to nil caused significant 
misbehavior for a real use case, whereas defaulting to t would have 
worked for that use case. There is something to be said for choosing a 
default that is less likely to cause a bug, even if you have not fixed 
the bug in general.